Commit 92f7ad34 authored by Matt Davis's avatar Matt Davis
Browse files

hg merge release-1.15 to default

on: push
jobs:
sdist:
runs-on: ubuntu-20.04
steps:
- name: clone repo
uses: actions/checkout@v2
- name: build sdist
run: |
rm -rf dist/
python -m pip install build
python -m build --sdist
- name: upload sdist artifact
uses: actions/upload-artifact@v2
with:
path: dist
if-no-files-found: error
linux:
runs-on: ubuntu-20.04
strategy:
matrix:
include:
- spec: cp27-manylinux_x86_64
cibw_version: cibuildwheel<2.0 # py2.7 is not supported on CIBW 2.0+
manylinux_img: manylinux1 # build really old Pythons on manylinux1
- spec: cp36-manylinux_x86_64
manylinux_img: manylinux1 # build really old Pythons on manylinux1
- spec: cp37-manylinux_x86_64
- spec: cp38-manylinux_x86_64
- spec: cp39-manylinux_x86_64
- spec: cp310-manylinux_x86_64
- spec: cp27-manylinux_i686
cibw_version: cibuildwheel<2.0 # py2.7 is not supported on CIBW 2.0+
manylinux_img: manylinux1 # build really old Pythons on manylinux1
- spec: cp36-manylinux_i686
manylinux_img: manylinux1 # build really old Pythons on manylinux1
- spec: cp37-manylinux_i686
- spec: cp38-manylinux_i686
- spec: cp39-manylinux_i686
- spec: cp310-manylinux_i686
steps:
- name: clone repo
uses: actions/checkout@v2
- name: build/test wheels
env:
CIBW_ARCHS_LINUX: auto
CIBW_BUILD: ${{ matrix.spec }}
CIBW_BEFORE_BUILD: |
set -eux && \
curl -L -O https://github.com/libffi/libffi/archive/v3.4.2.tar.gz && \
tar zxf v3.4.2.tar.gz && cd libffi-3.4.2 && \
./autogen.sh && \
./configure --without-gcc-arch --disable-docs && \
make && \
make install && \
ldconfig
# TODO: update default to '' once CIBW 2.1.3 ships: https://github.com/pypa/cibuildwheel/pull/829
CIBW_MANYLINUX_X86_64_IMAGE: ${{ matrix.manylinux_img || 'manylinux2010' }}
CIBW_MANYLINUX_I686_IMAGE: ${{ matrix.manylinux_img || 'manylinux2010' }}
CIBW_TEST_REQUIRES: pytest
CIBW_TEST_COMMAND: python -m pytest {project}/c {project}/testing
run: |
python -m pip install --upgrade "${{ matrix.cibw_version || 'cibuildwheel' }}"
# actually build libyaml + wheel (using env tweaks above)
python -m cibuildwheel --output-dir dist .
- name: upload artifacts
uses: actions/upload-artifact@v2
with:
path: dist
if-no-files-found: error
macos:
defaults:
run:
shell: ${{ matrix.run_wrapper || 'bash --noprofile --norc -eo pipefail {0}' }}
runs-on: ${{ matrix.runs_on || 'macos-10.15' }}
strategy:
matrix:
include:
# build for x86_64 under the default hosted macOS 10.x x86_64 runner
- spec: cp27-macosx_x86_64
cibw_version: cibuildwheel<2.0 # py2.7 is not supported on CIBW 2.0+
- spec: cp36-macosx_x86_64
- spec: cp37-macosx_x86_64
- spec: cp38-macosx_x86_64
- spec: cp39-macosx_x86_64
- spec: cp310-macosx_x86_64
# build for arm64 under a hacked macOS 12 self-hosted x86_64-on-arm64 runner until arm64 is fully supported
# FIXME: ? cp38-macosx_arm64 requires special handling and fails some test_zdist tests under cibw 2.1.2, skip it (so Apple's XCode python3 won't have a wheel)
- spec: cp39-macosx_arm64
deployment_target: '11.0'
runs_on: [self-hosted, macOS]
run_wrapper: arch -arm64 bash --noprofile --norc -eo pipefail {0}
sdkroot: macosx11.3
- spec: cp310-macosx_arm64
deployment_target: '11.0'
runs_on: [self-hosted, macOS]
run_wrapper: arch -arm64 bash --noprofile --norc -eo pipefail {0}
sdkroot: macosx11.3
steps:
- name: clone repo
uses: actions/checkout@v2
- name: build wheel prereqs
run: |
/usr/bin/pip3 install --user --upgrade "${{ matrix.cibw_version || 'cibuildwheel' }}"
brew uninstall --ignore-dependencies libffi || true
- name: build/test wheels
env:
CIBW_BUILD: ${{ matrix.spec }}
CIBW_TEST_REQUIRES: pytest
CIBW_TEST_COMMAND: pip install pip --upgrade; cd {project}; pytest
run: |
if [[ -n "${{ matrix.deployment_target || '' }}" ]]
then
export MACOSX_DEPLOYMENT_TARGET="${{ matrix.deployment_target || '' }}"
fi
if [[ -n "${{ matrix.sdkroot || '' }}" ]]
then
export SDKROOT="${{ matrix.sdkroot || '' }}"
fi
/usr/bin/python3 -m cibuildwheel --output-dir dist
- name: upload artifacts
uses: actions/upload-artifact@v2
with:
path: dist
if-no-files-found: error
windows:
runs-on: windows-2016
strategy:
matrix:
include:
- spec: cp27-win_amd64
cibw_version: cibuildwheel==1.10 # last release with proper py2.7 Windows support
- spec: cp36-win_amd64
- spec: cp37-win_amd64
- spec: cp38-win_amd64
- spec: cp39-win_amd64
- spec: cp310-win_amd64
- spec: cp27-win32
cibw_version: cibuildwheel==1.10 # last release with proper py2.7 Windows support
- spec: cp36-win32
- spec: cp37-win32
- spec: cp38-win32
- spec: cp39-win32
- spec: cp310-win32
steps:
- name: clone repo
uses: actions/checkout@v2
# HACK: MS killed this SDK support package and removed downloads, as did chocolatey, install from a private archive
- name: install Windows Python 2.7 SDK
run: |
$msiPath = Join-Path ([IO.Path]::GetTempPath()) 'VCForPython27.msi'
[Net.WebClient]::new().DownloadFile('https://raw.githubusercontent.com/nitzmahone/VCPython27/master/VCForPython27.msi', $msiPath)
Start-Process -FilePath msiexec.exe -Wait -ArgumentList @(
'/i',
$msiPath,
'/qn',
'/norestart'
)
shell: powershell
if: ${{ contains(matrix.spec, 'cp27') }}
- name: build/test wheels
env:
CIBW_BUILD: ${{ matrix.spec }}
run: |
python -m pip install --upgrade pip
pip install "${{ matrix.cibw_version || 'cibuildwheel'}}"
# FIXME: /testing takes ~45min on Windows and has some failures...
# CIBW_TEST_REQUIRES=pytest CIBW_TEST_COMMAND='python -m pytest {project}/c {project}/testing' cibuildwheel --output-dir dist .
CIBW_TEST_REQUIRES=pytest CIBW_TEST_COMMAND='python -m pytest {project}/c' cibuildwheel --output-dir dist .
shell: bash
- name: upload artifacts
uses: actions/upload-artifact@v2
with:
path: dist
if-no-files-found: error
......@@ -32,3 +32,5 @@ ede015a0e6203ba3057f3842063786683caccff6 v1.14.4
870af0b7cdf9dfae2d582158b4bfcda96987c42e v1.14.4-1
5d7f0abff7958b650a51e652d0cf19823eb92ff0 v1.14.5
7a912c19190f62225217daf9e77b57f3eb225373 v1.14.6
cc972f56c9a65ae9c54aefba2df2a3d523f8b074 v1.15.0rc1
d2ac4b46674e44d1534a7f5df770a86b4136b007 v1.15.0
recursive-include cffi *.py *.h
recursive-include c *.c *.h *.asm *.py win64.obj
recursive-include c *.c *.h *.asm *.py win64.obj ffi.lib
recursive-include testing *.py *.c *.h
recursive-include doc *.py *.rst Makefile *.bat
recursive-include demo py.cleanup *.py embedding_test.c manual.c
......
......@@ -8,7 +8,7 @@ in the doc/ subdirectory.
Download
--------
[Download page](https://bitbucket.org/cffi/cffi/downloads)
[Download page](https://foss.heptapod.net/pypy/cffi/-/tags)
Contact
-------
......
......@@ -2,7 +2,7 @@
#include <Python.h>
#include "structmember.h"
#define CFFI_VERSION "1.14.6"
#define CFFI_VERSION "1.15.0"
#ifdef MS_WIN32
#include <windows.h>
......
......@@ -17,7 +17,7 @@ from _cffi_backend import __version__
# ____________________________________________________________
import sys
assert __version__ == "1.14.6", ("This test_c.py file is for testing a version"
assert __version__ == "1.15.0", ("This test_c.py file is for testing a version"
" of cffi that differs from the one that we"
" get from 'import _cffi_backend'")
if sys.version_info < (3,):
......
......@@ -5,8 +5,8 @@ from .api import FFI
from .error import CDefError, FFIError, VerificationError, VerificationMissing
from .error import PkgConfigError
__version__ = "1.14.6"
__version_info__ = (1, 14, 6)
__version__ = "1.15.0"
__version_info__ = (1, 15, 0)
# The verifier module file names are based on the CRC32 of a string that
# contains the following version number. It may be older than __version__
......
......@@ -224,7 +224,7 @@ static int _cffi_initialize_python(void)
if (f != NULL && f != Py_None) {
PyFile_WriteString("\nFrom: " _CFFI_MODULE_NAME
"\ncompiled with cffi version: 1.14.6"
"\ncompiled with cffi version: 1.15.0"
"\n_cffi_backend module: ", f);
modules = PyImport_GetModuleDict();
mod = PyDict_GetItemString(modules, "_cffi_backend");
......
......@@ -45,9 +45,9 @@ copyright = u'2012-2018, Armin Rigo, Maciej Fijalkowski'
# built documents.
#
# The short X.Y version.
version = '1.14'
version = '1.15'
# The full version, including alpha/beta/rc tags.
release = '1.14.6'
release = '1.15.0'
# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
......
......@@ -52,13 +52,13 @@ Download and Installation:
* https://pypi.python.org/pypi/cffi
* Checksums of the "source" package version 1.14.6:
* Checksums of the "source" package version 1.15.0:
- MD5: 5c118a18ea897df164dbff67a32876fc
- MD5: f3a3f26cd3335fc597479c9475da0a0b
- SHA1: 35bb24955834ecb5b7173e625fa95b02d638fcfd
- SHA1: 9c51c29e35510adf7f94542e1f8e05611930b07b
- SHA256: c9a875ce9d7fe32887784274dd533c57909b7b1dcadcc128a2ac21331a9765dd
- SHA256: 920f0d66a896c2d99f0adbb391f990a84091179542c205fa53ce5787aff87954
* Or grab the most current version from the `Heptapod page`_:
``hg clone https://foss.heptapod.net/pypy/cffi``
......
......@@ -2,6 +2,23 @@
What's New
======================
v1.15.0
=======
* Fixed MANIFEST.in to include missing file for Windows arm64 support
* Fixed Linux wheel build to use gcc default ISA for libffi
* Updated setup.py Python trove specifiers to currently-tested Python versions
* CPython 3.10 support (including wheels)
* MacOS arm64 support (including wheels)
* Initial Windows arm64 support
* Misc. doc and test updates
v1.14.6
=======
......
......@@ -186,7 +186,7 @@ Contact
`Mailing list <https://groups.google.com/forum/#!forum/python-cffi>`_
""",
version='1.14.6',
version='1.15.0',
packages=['cffi'] if cpython else [],
package_data={'cffi': ['_cffi_include.h', 'parse_c_type.h',
'_embedding.h', '_cffi_errors.h']}
......@@ -224,14 +224,13 @@ Contact
classifiers=[
'Programming Language :: Python',
'Programming Language :: Python :: 2',
'Programming Language :: Python :: 2.6',
'Programming Language :: Python :: 2.7',
'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.2',
'Programming Language :: Python :: 3.3',
'Programming Language :: Python :: 3.4',
'Programming Language :: Python :: 3.5',
'Programming Language :: Python :: 3.6',
'Programming Language :: Python :: 3.7',
'Programming Language :: Python :: 3.8',
'Programming Language :: Python :: 3.9',
'Programming Language :: Python :: 3.10',
'Programming Language :: Python :: Implementation :: CPython',
'Programming Language :: Python :: Implementation :: PyPy',
'License :: OSI Approved :: MIT License',
......
......@@ -18,6 +18,7 @@ def test_version():
version_info = '.'.join(str(i) for i in cffi.__version_info__)
version_info = version_info.replace('.beta.', 'b')
version_info = version_info.replace('.plus', '+')
version_info = version_info.replace('.rc', 'rc')
assert v == version_info
#v = BACKEND_VERSIONS.get(v, v)
assert v == _cffi_backend.__version__
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment